Skip to Content
AccountingFinancial Statements

Retrieve the Cash Flow Report

GET
/v0/business/{business_id}/reports/cash-flow

Scopes: report:read

Authorization

OAuth2ClientCredentialsBearer report:read
headerAuthorizationBearer <token>

Scope: report:read

Path Parameters

business_id*Business Id

The ID of the Business

Formatbiz_string

Query Parameters

basis?ReportBasis

Accrual or cash basis. Defaults to ReportBasis.MODIFIED_CASH.

Default"modified_cash"
Value in"accrual""modified_cash"
start_datetime*Start Datetime

The start date (inclusive) in ISO-8601 format.

Formatdate-time
end_datetime*End Datetime

The end of the period (exclusive) in ISO-8601 format. To include a whole day, pass midnight at the start of the next day, e.g. 2026-04-01T00:00:00Z for a period ending March 31.

Formatdate-time
period?|

The period used to partition the report details.

Default"all"

Header Parameters

Accept?array<|string>|

The content type of the response

Response Body

Successful Response

  1. response
data*array<>
Example Request
curl -X GET 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/reports/cash-flow?start_datetime=2025-01-01T00%3A00%3A00Z&end_datetime=2026-01-01T00%3A00%3A00Z'
Example Response
{  "data": [    {      "period": "2025",      "records": [        {          "name": "Parent Group",          "amount": 21980.5,          "total_amount": 21980.5,          "has_entries": true,          "ledger_id": null,          "sort_code": "1010",          "children": [            {              "amount": 21980.5,              "children": [],              "ledger_id": "ldg_WQMDNUHpBThYSNh4AprDBo",              "name": "Child Group",              "total_amount": 21980.5            }          ]        }      ]    }  ]}